BANK KALTENG - Bug #3175

Validasi untuk Cost Travel ESS
10/28/2024 05:27 PM - Regina Tasya

Status: Closed Start date: 10/28/2024
Priority: Immediate Due date:

Assignee: Regina Tasya % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 12.00 hours
Description

kak aziid,

1. kondisi diawal plan itu terisi jika pengajuan plan.

kemudian yang dimau saat ini plan ini untuk yang autofill ingin di 0 in.

dan untuk cost type 7000 diisi manual ratenya, namun jika ratenya dibuka maka untuk di costtype yg autofill juga ratenya akan
terbuka.

maka dari itu ingin diberikan validasi 1: jika karyawan mensubmite maka cek dulu ratenya untuk cost type yang autofill
sebelumnya(selain yang cost type 7000) kemudian samakan dengan travel to cost ratenya, jika berbeda rate di travel to cost
dengan rate yang ada diform pengajuan maka akan muncul validasi massage: Silahkan cek kembali untuk Kebijakan Rate Pada
Perusahaan!

2. kemudian untuk plan yang default autofill itu plannya 0 dan cost type 7000 plannya terisi manual.
jika di submit maka yang boleh lebih besar dari 0 itu hanya si cost type 7000 untuk plan nya.
dan bikin validasi lagi yaitu: selain cost type 7000 tidak boleh lebih dari 0 untuk amount plannya.

kak disini aku sudah mndaftarkan ke genparam untuk costtype 7000. nama parameternya TRVCTYPE
menu: ess travel

Port: http://remote.minovais.com:31130/
DB: MinovaES_Bank_Kalteng_Dev (di 1442)

History

#1 - 10/28/2024 05:51 PM - Kezia Pawitra Yulianti

koreksi sedikit dan tambahan informasi yaa:

1. untuk cost type yg di daftarkan di genparam adalah cost type yang amount plan nya boleh lebih besar dr 0

2. Berhubung ada perubahan requirement yaitu kolom rate bisa di edit, maka untuk cost type yang memiliki rate di tabel travel to cost (rate lebih
besar dr 0) harus di validasi saat submit yaitu tidak boleh rate yg ada di form berbeda dgn yg ada di tabel travel to cost. dan juga untuk cost type2
selain yg di daftarkan di gen param maka amount plan nya juga harus tetap 0 (tidak boleh lebih besar dr 0)

Kalau ada yg bingung, silahkan diskusi yaa besok pagi.
Tks

#2 - 10/29/2024 06:46 PM - M Azid Wahyudi

update package sementara :
- funtion sql (SplitString)
custparam

- TRVFlagCostType

- TRVAUTOFILLCOST

- bizproc (method)

#3 - 10/30/2024 05:03 PM - M Azid Wahyudi

update lanjutan
validasi rate dan number

package :
bizpro(init dan method)
custparam (TRVVALAUTOFILLCOST)

note validasi tambahan : validasi ketika costtype yang udah ada ga boleh di pilih lagi atau double
http://remote.minovais.com:31130/

makasih

#4 - 10/31/2024 12:07 PM - M Azid Wahyudi

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Regina Tasya
dear tasya , udah bisa di test semua ya

package :
bizproc(method,init,before)

message catalog:

WFTRVDOUBLE
WFTRVRATNUM

makasih

#5 - 11/04/2024 01:47 PM - Regina Tasya
- Status changed from QA Test to Deploy

#6 - 11/11/2024 10:30 AM - Regina Tasya

- Assignee changed from Regina Tasya to Muhammad Bintar

#7 - 01/06/2025 10:06 AM - Regina Tasya

- Assignee changed from Muhammad Bintar to Regina Tasya

#8 - 01/20/2025 09:30 AM - Regina Tasya
- Status changed from Deploy to Closed
